ffmpeg-4-libavfilter-devel-4.0.1-lp150.10.1.x86_64.rpm


Advertisement

Description

ffmpeg-4-libavfilter-devel - Development files for FFmpeg's audio/video filter library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package name ffmpeg-4-libavfilter-devel
Package version 4.0.1
Package release lp150.10.1
Package architecture x86_64
Package type rpm
Installed size 58.77 KB
Download size 64.71 KB
Official Mirror ftp.gwdg.de
The libavfilter library provides a generic audio/video filtering
framework containing several filters, sources and sinks.
This subpackage contains the headers for FFmpeg libavfilter.

Alternatives

Package Version Architecture Repository
ffmpeg-4-libavfilter-devel-4.1-lp150.35.2.x86_64.rpm 4.1 x86_64 Multimedia Libs
ffmpeg-4-libavfilter-devel-4.0.2-lp150.18.3.x86_64.rpm 4.0.2 x86_64 Packman
ffmpeg-4-libavfilter-devel-4.0.2-lp150.18.3.armv7hl.rpm 4.0.2 armv7hl Packman
ffmpeg-4-libavfilter-devel-4.0.2-lp150.18.3.aarch64.rpm 4.0.2 aarch64 Packman
ffmpeg-4-libavfilter-devel-4.0.2-lp150.13.1.x86_64.rpm 4.0.2 x86_64 openSUSE Update Oss
ffmpeg-4-libavfilter-devel-4.0.1-lp150.7.1.x86_64.rpm 4.0.1 x86_64 openSUSE Update Oss
ffmpeg-4-libavfilter-devel-4.0.1-lp150.2.2.x86_64.rpm 4.0.1 x86_64 openSUSE Update Oss
ffmpeg-4-libavfilter-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
ffmpeg-4-libavcodec-devel = 4.0.1-lp150.10.1
ffmpeg-4-libavformat-devel = 4.0.1-lp150.10.1
ffmpeg-4-libavresample-devel = 4.0.1-lp150.10.1
ffmpeg-4-libavutil-devel = 4.0.1-lp150.10.1
ffmpeg-4-libpostproc-devel = 4.0.1-lp150.10.1
ffmpeg-4-libswresample-devel = 4.0.1-lp150.10.1
ffmpeg-4-libswscale-devel = 4.0.1-lp150.10.1
libavfilter7 = 4.0.1-lp150.10.1
pkgconfig(libavcodec) >= 58.18.100
pkgconfig(libavformat) >= 58.12.100
pkgconfig(libavresample) >= 4.0.0
pkgconfig(libavutil) >= 56.14.100
pkgconfig(libpostproc) >= 55.1.100
pkgconfig(libswresample) >= 3.1.100
pkgconfig(libswscale) >= 5.1.100

Provides

Name Value
ffmpeg-4-libavfilter-devel = 4.0.1-lp150.10.1
ffmpeg-4-libavfilter-devel(x86-64) = 4.0.1-lp150.10.1
libavfilter-devel = 4.0.1-lp150.10.1
pkgconfig(libavfilter) = 7.16.100

Conflicts

Name Value
ffmpeg-private-devel < 4
ffmpeg-private-devel >= 5
libavcodec-devel < 4
libavcodec-devel >= 5
libavdevice-devel >= 5
libavdevice-devel < 4
libavfilter-devel < 4
libavfilter-devel >= 5
libavformat-devel < 4
libavformat-devel >= 5
libavresample-devel < 4
libavresample-devel >= 5
libavutil-devel >= 5
libavutil-devel < 4
libpostproc-devel < 4
libpostproc-devel >= 5
libswresample-devel < 4
libswresample-devel >= 5
libswscale-devel < 4
libswscale-devel >= 5

Obsoletes

Name Value
libavfilter-devel < 4.0.1-lp150.10.1

Download

Type URL
Binary Package ffmpeg-4-libavfilter-devel-4.0.1-lp150.10.1.x86_64.rpm
Source Package ffmpeg-4-4.0.1-lp150.10.1.src.rpm

Install Howto

Install ffmpeg-4-libavfilter-devel rpm package:

# zypper install ffmpeg-4-libavfilter-devel

Files

Path
/usr/include/ffmpeg/
/usr/include/ffmpeg/libavfilter/avfilter.h
/usr/include/ffmpeg/libavfilter/buffersink.h
/usr/include/ffmpeg/libavfilter/buffersrc.h
/usr/include/ffmpeg/libavfilter/version.h
/usr/lib64/libavfilter.so
/usr/lib64/pkgconfig/libavfilter.pc
/usr/share/man/man3/libavfilter.3.gz

Changelog

2018-07-31 - tchvatal@suse.com
- bsc#1103064 attempt to allow migration from the unprefixed devel
packages cleanly
2018-07-27 - tchvatal@suse.com
- Reduce the optional conditional for the SLE12 backports to
cover everything, most of the packages in old codestreams were
not really ready as they need additional baselibs/etc.
* Since these are new features user will simply wait or use TW
2018-07-27 - jengelh@inai.de
- Enable "kmsgrab" input device
2018-07-26 - tchvatal@suse.com
- Redo the nvidia condition based on review feeback
2018-07-25 - tchvatal@suse.com
- Do not condition nvidia based on BUILD_ORIG all the support is in
TW only and not on different instances as such safeguard it with
version check only bsc#1102532
2018-07-18 - tchvatal@suse.com
- Add new bconds to build on SLE12 backports project without
requiring extra packages:
* %bcond_without codec2
* %bcond_without bs2b
* %bcond_without lv2
* %bcond_without rubberband
* %bcond_without soxr
* %bcond_without zmq
2018-07-06 - tchvatal@suse.com
- Fix typo in swresample name
2018-07-04 - tchvatal@suse.com
- Conditionalize full build to be primary only on Leap15+
2018-07-03 - tchvatal@suse.com
- Add macros to allow conflicting with all other devel projects
to ensure we always install only one specific ffmpeg
2018-06-30 - tchvatal@suse.com
- Conditionalize the vidstab build to not pull it on old releases
- Conditionalize srt support to not pull it on older releases
- ------------------------------------------------------------------

See Also

Package Description
ffmpeg-4-libavformat-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for FFmpeg's stream format library
ffmpeg-4-libavformat-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for FFmpeg's stream format library
ffmpeg-4-libavformat-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for FFmpeg's stream format library
ffmpeg-4-libavformat-devel-4.0.2-lp150.13.1.x86_64.rpm Development files for FFmpeg's stream format library
ffmpeg-4-libavresample-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for libavresample as present in FFmpeg
ffmpeg-4-libavresample-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for libavresample as present in FFmpeg
ffmpeg-4-libavresample-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for libavresample as present in FFmpeg
ffmpeg-4-libavresample-devel-4.0.2-lp150.13.1.x86_64.rpm Development files for libavresample as present in FFmpeg
ffmpeg-4-libavutil-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for FFmpeg's utility library
ffmpeg-4-libavutil-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for FFmpeg's utility library
ffmpeg-4-libavutil-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for FFmpeg's utility library
ffmpeg-4-libavutil-devel-4.0.2-lp150.13.1.x86_64.rpm Development files for FFmpeg's utility library
ffmpeg-4-libpostproc-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for the FFmpeg post-processing library
ffmpeg-4-libpostproc-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for the FFmpeg post-processing library
ffmpeg-4-libpostproc-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for the FFmpeg post-processing library
Advertisement
Advertisement